Import multiple activities
curl --request POST \
--url https://app.azalt.co/api/v1/activities/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"formId": "<string>",
"activities": [
{
"key": "<string>",
"siteId": "<string>",
"year": 123,
"periodUnit": 123,
"input": {},
"activityId": "<string>"
}
],
"fileName": "<string>",
"mediaId": "<string>"
}
'import requests
url = "https://app.azalt.co/api/v1/activities/import"
payload = {
"formId": "<string>",
"activities": [
{
"key": "<string>",
"siteId": "<string>",
"year": 123,
"periodUnit": 123,
"input": {},
"activityId": "<string>"
}
],
"fileName": "<string>",
"mediaId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
formId: '<string>',
activities: [
{
key: '<string>',
siteId: '<string>',
year: 123,
periodUnit: 123,
input: {},
activityId: '<string>'
}
],
fileName: '<string>',
mediaId: '<string>'
})
};
fetch('https://app.azalt.co/api/v1/activities/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activities": [
{
"activityId": "<string>",
"input": {},
"value": 123,
"metadata": {},
"key": "<string>",
"siteId": "<string>",
"year": 123,
"periodUnit": 123
}
],
"deletedActivityIds": [
"<string>"
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Activity
Import multiple activities
Import multiple activities in bulk:
Parameters:
formId: Form where activities will be importedactivities: Array of activity objects, each with:key: Activity definition keysiteId: Site where activity occursyear: Activity yearperiodUnit: Time period numberinput: Input data for calculation
Ideal for bulk data loading and migration. All activities are automatically calculated during import.
POST
/
activities
/
import
Import multiple activities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Required string length:
1 - 255Minimum string length:
1Available options:
merge, replace Available options:
activity_import, form_element_submission_import, source_adapter ⌘I

